Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# ReferenceLine Class Reference

`#include <Polygon.h>`

Inheritance diagram for ReferenceLine:

List of all members.

## Public Member Functions
| ReferenceLine (string subscript="")
virtual | ~ReferenceLine ()
virtual int | no_vertices ()
virtual GiNaC::ex | vertex (int i)
virtual GiNaC::ex | repr (GiNaC::ex t, Repr_format format=SUBS_PERFORMED)
GiNaC::ex | a ()
GiNaC::ex | b ()
virtual string | str ()
virtual GiNaC::ex | integrate (GiNaC::ex f, Repr_format format=SUBS_PERFORMED)

## Detailed Description

Definition at line 72 of file Polygon.h.

## Constructor & Destructor Documentation

ReferenceLine::ReferenceLine | ( | string | subscript = `""` | ) |

| Definition at line 230 of file Polygon.cpp. References Polygon::p, and Polygon::subscript.
    00230                                                {
    00231   subscript = subscript_;
    00232   GiNaC::ex x0 = GiNaC::lst(0,0,0);
    00233   GiNaC::ex x1 = GiNaC::lst(1,0,0);
    00234   p.insert(p.end(),x0);
    00235   p.insert(p.end(),x1);
    00236
    00237
    00238 }

virtual ReferenceLine::~ReferenceLine | ( |  | ) | `[inline, virtual]`

| Definition at line 75 of file Polygon.h.
    00075 {}

## Member Function Documentation

GiNaC::ex ReferenceLine::a | ( |  | ) |

| Definition at line 246 of file Polygon.cpp.
    00246                           {
    00247   return GiNaC::lst(1,0,0);
    00248 }

GiNaC::ex ReferenceLine::b | ( |  | ) |

| Definition at line 250 of file Polygon.cpp.
    00250                           {
    00251   return GiNaC::lst(0,0,0);
    00252 }

GiNaC::ex ReferenceLine::integrate | ( | GiNaC::ex | f,
|  | Repr_format | format = `SUBS_PERFORMED`
| ) | `[virtual]`

| Reimplemented from Line. Definition at line 267 of file Polygon.cpp. References x.
    00267                                                               {
    00268   GiNaC::ex intf = GiNaC::integral(x,0,1,f);
    00269   intf =  eval_integ(intf);
    00270   return intf;
    00271 }

int ReferenceLine::no_vertices | ( |  | ) | `[virtual]`

| Reimplemented from Line. Definition at line 240 of file Polygon.cpp.
    00240 { return 2; }

GiNaC::ex ReferenceLine::repr | ( | GiNaC::ex | t,
|  | Repr_format | format = `SUBS_PERFORMED`
| ) | `[virtual]`

| Reimplemented from Line. Definition at line 254 of file Polygon.cpp. References x, y, and z.
    00254                                                           {
    00255   GiNaC::lst r;
    00256   r = GiNaC::lst( x == t, y == 0, z == 0, t, 0, 1);
    00257   return r;
    00258 }

string ReferenceLine::str | ( |  | ) | `[virtual]`

| Reimplemented from Line. Definition at line 260 of file Polygon.cpp.
    00260                            {
    00261    std::ostringstream s;
    00262 //   s <<"ReferenceLine("<<p[0]<<","<<p[1]<<")"<<endl;
    00263    s <<"ReferenceLine"; // <<endl;
    00264    return s.str();
    00265 }

GiNaC::ex ReferenceLine::vertex | ( | int | i | ) | `[virtual]`

| Reimplemented from Line. Definition at line 242 of file Polygon.cpp. References Polygon::p.
    00242                                     {
    00243   return p[i];
    00244 }

The documentation for this class was generated from the following files:

- Polygon.h
- Polygon.cpp